# Uses of Class
java.beans.BeanDescriptor

Packages that use BeanDescriptor
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of BeanDescriptor in java.beans

Methods in java.beans that return BeanDescriptor
Modifier and Type
Method
Description
`BeanDescriptor`
BeanInfo.`getBeanDescriptor()`
Returns the bean descriptor that provides overall information about the bean, such as its display name or its customizer.
`BeanDescriptor`
SimpleBeanInfo.`getBeanDescriptor()`
Deny knowledge about the class and customizer of the bean.